Bug 41653 - Unable to create OU on DC slave (ou=Domain Controllers)
Unable to create OU on DC slave (ou=Domain Controllers)
Status: CLOSED FIXED
Product: UCS@school
Classification: Unclassified
Component: Import scripts
UCS@school 4.1 R2
Other Linux
: P5 normal (vote)
: UCS@school 4.1 R2 vXXX
Assigned To: Sönke Schwardt-Krummrich
Florian Best
:
Depends on: 41583
Blocks:
  Show dependency treegraph
 
Reported: 2016-06-23 14:38 CEST by Sönke Schwardt-Krummrich
Modified: 2016-10-06 21:13 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 3: Simply Wrong: The implementation doesn't match the docu
Who will be affected by this bug?: 3: Will affect average number of installed domains
How will those affected feel about the bug?: 5: Blocking further progress on the daily work
User Pain: 0.257
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sönke Schwardt-Krummrich univentionstaff 2016-06-23 14:38:03 CEST
root@slave66:~# pkill -f cli-server ; udm container/ou create --binddn uid=Administrator,cn=users,dc=nstx,dc=local --bindpwd univention --ignore_exists --set 'description=Default container for domain controllers' --set name=Test8
06.06.16 02:34:25.186  DEBUG_INIT
E: Insufficient information
The following parameters are missing:
displayName
root@slave66:~# 


displayName is required if the option "UCSschool-school-OU" is set.

+++ This bug was initially created as a clone of Bug #41583 +++

If there are OUs without displayName, the UDM users/user module shows an error directly after opening the module:

Die Ausführung des Kommandos udm/syntax/choices users/user ist fehlgeschlagen:

Traceback (most recent call last):
  File "/usr/lib/pymodules/python2.7/notifier/threads.py", line 82, in _run
    tmp = self._function()
  File "/usr/lib/pymodules/python2.7/notifier/__init__.py", line 104, in __call__
    return self._function( *tmp, **self._kwargs )
  File "/usr/lib/pymodules/python2.7/univention/management/console/modules/udm/__init__.py", line 941, in _thread
    return read_syntax_choices(syntax, request.options)
  File "/usr/lib/pymodules/python2.7/univention/management/console/modules/udm/udm_ldap.py", line 85, in _decorated
    return method(*args, **kwargs)
  File "/usr/lib/pymodules/python2.7/univention/management/console/ldap.py", line 135, in _decorated
    result = func(*args, **kwargs)
  File "/usr/lib/pymodules/python2.7/univention/management/console/modules/udm/udm_ldap.py", line 1331, in read_syntax_choices
    for element in map(map_choice, filter(filter_choice, module.search(filter=filter_s))):
  File "/usr/lib/pymodules/python2.7/univention/management/console/modules/udm/udm_ldap.py", line 1316, in map_choice
    choices.append((value, syn.label_format % obj.info))
KeyError: 'displayName'
Comment 1 Sönke Schwardt-Krummrich univentionstaff 2016-06-23 15:12:43 CEST
ucs-school-import.yaml:
r70581 | Bug #41653: updated YAML file for ucs-school-import
r70584 | Bug #41653: updated yaml of ucs-school-import

ucs-school-import (14.0.14-1):
r70582 | Bug #41653: register UDM hook for container/ou in LDAP
Comment 2 Florian Best univentionstaff 2016-06-23 16:43:10 CEST
OK: hooks are registered in LDAP
OK: creating a OU on a DC Slave
OK: YAML
Comment 3 Sönke Schwardt-Krummrich univentionstaff 2016-07-04 12:06:33 CEST
UCS@school 4.1 R2 v2 has been released.

If this error occurs again, please clone this bug.